# 32/64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)
 
Summary: ShowImage is a simple KDE based image viewer
Name:    showimage
Version: 1.8.1
Release: %mkrel 1
License: GPL
Group:   Graphics
Source:  143977-%{name}-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-build
 
%description
ShowImage is a simple KDE based image viewer using the maximum space inside its window
without cluttering the window with menubar, toolbar or statusbar.
You simply act via the keyboard (rotate, zoom, etc.) or via the context menu (right mouse click).
You can view a single image or browse through a full directory, optionally in fullscreen mode.

 
#================= PREP ==================
%prep
%setup -q
 
%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/showimage.desktop

%find_lang %{name}
 
 
 
%clean
rm -rf $RPM_BUILD_ROOT
 
#================= FILES ==================
%files
%defattr(-,root,root)
%doc Changelog TODO INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


 
#================= CHANGELOG ==================
%changelog
* Wed Jun 05 2013 Texstar <texstar at gmail.com> 1.8.1-1pclos2013
- 1.8.1

* Sat May 18 2013 Texstar <texstar at gmail.com> 1.8-2pclos2013
- fix rpmgroup

* Tue Apr 16 2013 Texstar <texstar at gmail.com> 1.8-1pclos2013
- 1.8

* Thu Feb 28 2013 daniel <meisssw01 at gmail.com> 1.6.3-1leiche2013
initial package
